# -*- coding: windows-1251; -*-
Name: tgif
Version: 4.1.42
Release: alt1
Copyright: QPL
Group: Graphics
Url: http://bourbon.cs.umd.edu:8001/tgif/

Source: %{name}-QPL-%{version}.tar.gz
Patch: tgif-config.patch

Summary: tgif 2-D drawing package
Summary(ru_RU.CP1251): Tgif -  2- 

BuildRequires: gcc textutils

%description
Xlib based interactive 2-D drawing facility under X11.
Supports hierarchical construction of drawings and easy navigation between
sets of drawings.  It\'s also a hyper-graphics
(or hyper-structured-graphics) browser on the World-Wide-Web.
     
Please see the README file for various information including copyright notices.

%description -l ru_RU.CP1251
Tgif     .     
      .    
   WWW.

%prep
%setup -n %{name}-QPL-%{version}
%patch -p1

%build
xmkmf -a
make 
#cd po
#xmkmf -a
#make

%install
mkdir -p $RPM_BUILD_ROOT%{_x11bindir}
install -s tgif $RPM_BUILD_ROOT%{_x11bindir}

mkdir -p $RPM_BUILD_ROOT%{_x11libdir}/X11/tgif
install -c -m 0644 tgif.Xdefaults $RPM_BUILD_ROOT%{_x11libdir}/X11/tgif
install -c -m 0644 *.eps $RPM_BUILD_ROOT%{_x11libdir}/X11/tgif
install -c -m 0644 *.obj $RPM_BUILD_ROOT%{_x11libdir}/X11/tgif
install -c -m 0644 *.xbm $RPM_BUILD_ROOT%{_x11libdir}/X11/tgif
install -c -m 0644 *.xpm $RPM_BUILD_ROOT%{_x11libdir}/X11/tgif
install -c -m 0644 *.sym $RPM_BUILD_ROOT%{_x11libdir}/X11/tgif

mkdir -p $RPM_BUILD_ROOT%{_x11mandir}/man1
install -c -m 0644 tgif.man $RPM_BUILD_ROOT%{_x11mandir}/man1/tgif.1

#mkdir -p $RPM_BUILD_ROOT%{_x11datadir}/locale/ru/LC_MESSAGES
#install -c -m 0444 po/ru/ru.mo $RPM_BUILD_ROOT%{_x11datadir}/locale/ru/LC_MESSAGES/tgif.mo

%files
%defattr(-, root, root)
%doc  README Copyright HISTORY LICENSE.QPL
%{_x11bindir}/*
%{_x11libdir}/X11/tgif/*
%{_x11mandir}/man1/*
#%{_x11datadir}/locale/ru/LC_MESSAGES/*

%changelog
* Sun Sep 01 2002 Ott Alex <ott@altlinux.ru> 4.1.42-alt1
- Initial build

